<?php
/**
 * $Id: vars.inc.php,v 1.17 2003/04/02 15:04:05 courou Exp $
 *
 * Author     : courou&#64;users.sourceforge.net
 * Website    : http://allreponse.ath.cx
 *
 * Support    : http://sourceforge.net/projects/myphpmoney/
 * CVS        : http://cvs.sourceforge.net/cgi-bin/viewcvs.cgi/myphpmoney/
 */

  # ------------------------------------- NIVEAU OF ERROR -----------------------------------------
 /**
  * INIT THE LEVEL ERROR
  *   0               = NONE ERROR
  *   E_ALL|E_NOTICE  = ALL ERROR AND NOTICE ERROR
  *   E_ALL&E_NOTICE  = ONLY ALL ERROR
  */
      ini_set('error_reporting',              E_ALL|E_NOTICE); ## NOT PERMIT THE QUOTES (')

 /**
  *  ALL ERROR (NO EXCEPT)
  *  FOR USED TWO OR MORE ACTION (USED | DELIMITER)
  *         DEFINE  OFF = Aucune erreur afficher
  *         DEFINE  LOG = inscrire les infos de debug dans un fichier
  *         DEFINE  OUT = affiche les infos de debug dans la page courante
  *         DEFINE  VAR = inscrire les infos sur toutes les variables utiliser
  *                       (dans un fichier log si erreur detecter)
  *         DEFINE  SQL = inscrire les infos de debug dans la base (non implementer)
  */
      define('__DEBUG__',                          'LOG|OUT');

 /**
  * LEVEL FOR DEBUG MODE
  *   'produc'  = DISABLE (Dsactiv)
  *   'posget'  = POST AND GET
  *   'phplib'  = PHPLIB SESSION
  *   'infile'  = LIST INCLUDE FILE
  *   'devels'  = DISPLAY ALL POST GET SESSION COOKIES LANG
  *   'expert'  = DISPLAY ALL VARIABLE FOR APPLICATION
  *   'global'  = DISPLAY ALL GLOBALS VARIABLE
  */
      define('__DEBUG_LEVEL__',                     'produc');

 /**
  * DISPLAY QUERY SQL
  *         DEFINE  0 = DISABLE (Dsactiv)
  *         DEFINE  1 = ENABLE  (Activ)
  */
      define('__DEBUG_SQL__',                              0);

 /**
  * ENABLE OR DISABLE THE DEBUG VALUE
  *   0 = no debugging
  *   1 = debug variable assignments
  *   2 = debug calls to get variable
  *   4 = debug internals
  */
      define('__DEBUG_TPL__',                              0);

 # ------------------------------------- CHMOD AND JS ---------------------------------------------
 /**
  * DISPLAY THE CHMOD ERROR 777 OR RIGHT (USER/GROUP)
  *         DEFINE  0 = no display
  *         DEFINE  1 = display the error
  *         DEFINE  2 = log only the error
  *         DEFINE  3 = log and display the error
  */
      define('__DEBUG_CHMOD__',                             1);

 /**
  * HALT JAVASCRIPT ERROR
  *         DEFINE  0 = DISABLE (Dsactiv)
  *         DEFINE  1 = ENABLE  (Activ)
  */
      define('__HALT_JS_ERROR__',                           0);

 # ------------------------------------- CHMOD AND JS ---------------------------------------------
 /**
  * DISPLAY FOR THE QUOTES AND BOURSE
  *      DEFINE single (simple)  = 84
  *      DEFINE narrow (etroit)  = 85
  *      DEFINE wide   (complet) = 86
  */
      define('__BOURSE_DISPLAY__',                         86);

  # ---------------------------------------- PROCESS TIMER ----------------------------------------
 /**
  * DISPLAY THE NUMBER OF SQL REQUEST AND TOTAL PROCESS
  *        __PROCESS_ACTIVE__  = DEFINE  0 = DISABLE (Dsactiv)  --> TIME PROCESS
  *                            = DEFINE  1 = ENABLE  (Activ)
  *        __PROCESS_OPTION__  = DEFINE  0 = DISABLE (Dsactiv)  --> NB FUNCTION AND SQL QUERY
  *                            = DEFINE  1 = ENABLE  (Activ)
  *        __PROCESS_LENGHT__  = NUMBER OF FIGURE AFTER THE COMMA FOR THE PROCESS
  *        __PROCESS_PERCENT__ = NUMBER OF FIGURE AFTER THE COMMA FOR THE PERCENT
  */
      define('__PROCESS_ACTIVE__',                          1);
      define('__PROCESS_OPTION__',                          0);
      define('__PROCESS_LENGHT__',                          3);
      define('__PROCESS_PERCENT__',                         2);

  # ----------------------------------- HELPER - CALENDAR DISPLAY ---------------------------------
 /**
  * DISPLAY THE HELPER MENU - UNDER THE SHUFFLE
  *         DEFINE  0 = DISABLE (Dsactiv)
  *         DEFINE  1 = ENABLE  (Activ)
  */
      define('__HELPER_MENU__',                             1);

 /**
  * MOUV THE HELP MESSAGE
  *         DEFINE  0 = DISABLE (Dsactiv)
  *         DEFINE  1 = ENABLE  (Activ)
  */
      define('__HELPER_MOUV__',                             1);

 /**
  * MOUV THE CALENDAR
  *         DEFINE  0 = DISABLE (Dsactiv)
  *         DEFINE  1 = ENABLE  (Activ)
  */
      define('__SHUFFE_MOUV__',                             1);

 /**
  * SHOW THE IMAGE OPEN CLOSE FOR HODDEN THE ACCOUNT
  *         DEFINE  0 = DISABLE (Dsactiv)
  *         DEFINE  1 = ENABLE  (Activ)
  */
      define('__OPEN_CLOSE__',                              1);

 /**
  * SPEED FOR DISPLAY THE HELPER MENU - UNDER THE SHUFFLE
  */
      define('__HELPER_TIMER__',                           20);

 # ----------------------------------- PERMIT THE ORDER BY ---------------------------------------

 /**
  * SHOW THE ORDER BY IMAGE
  *         DEFINE  0 = DISABLE (Dsactiv)
  *         DEFINE  1 = ENABLE  (Activ)
  */
      define('__ORDER_BY__',                                1);

 # --------------------------------------- INTERNAL DEFINE ---------------------------------------
 /**
  * DEFINE VARIABLE FOR KEYBOARD (ENTER KEYPRESS)
  *         DEFINE  0 = DISABLE (Dsactiv)
  *         DEFINE  1 = ENABLE  (Activ)
  */
      define('__ENTER_KEYPRESS__',                          0);

 /**
  * DISPLAY THE COPYRIGHT AND THE LINK (BELOW)
  */

      define('__DISPLAY_COPYRIGHT__',                       1);

 /**
  * DISPLAY MODE FOR MONEY (DEFINE YOUR MODE)
  *
  * MANUEL MODE :
  *         DEFINE  0 = EURO
  *         DEFINE  1 = EURO/ANOTHER MONEY
  *         DEFINE  2 = ANOTHER MONEY
  *
  * AUTOMATIQUE :
  *         DEFINE  5 = AUTOMATIQUE DETECT
  */
      define('__DISPLAY_MODE__',                            5);

 /**
  * DISPLAY LOGO AND LINK (XHTML VALIDATOR)
  */
      define('__DISPLAY_XHTML__',                           1);

 /**
  * DEFINE FOR DELETE THE DUMP AFTER x DAYS
  */
      define('__BACK_DAYS__',                              15);

 /**
  * DEFINE FOR NUMBER SOME DAYS BACK FOR THE CALENDAR
  */
      define('__DAYS_BACK__',                               5);

 /**
  * DEFINE FOR NUMBER OF PAGE PER PAGE (FOR OPERATE.PHP)
  */
      define('__NB_OF_PAGE__',                             24);

  # ----------------------------- SIZE - WIDTH - HEIGHT - LENGHT ----------------------------------
 /**
  * THE POPUP DIMENSION (WIDTH AND HEIGHT) ALL EXCEPT GRAPH FOR SIMULATION
  */
      define('__POPUP_NAME__',                        'POPUP'); ## POPUP NAME
      define('__POPUP_WIDTH__',                           800); ## WIDTH OF POPUP
      define('__POPUP_HEIGHT__',                          600); ## HEIGHT OF POPUP

 /**
  * THE POPUP DIMENSION FOR SIMULATION (THE GRAPHIQUE POPUP)
  */
      define('__POPUP_GRAPH_WIDTH__',                     200); ## WIDTH OF POPUP GRAPHIQUE
      define('__POPUP_GRAPH_HEIGHT__',                    240); ## HEIGHT OF POPUP GRAPHIQUE
      define('__POPUP_GRAPH_TOP__',                         0); ## TOP OF POPUP GRAPHIQUE
      define('__POPUP_GRAPH_LEFT__',                      800); ## LEFT OF POPUP GRAPHIQUE

 /**
  * SIZE FOR GRAPHIQUE ENTER
  */
      define('__IMG_GRAPH_H_HEIGHT__',                    310); ## WIDTH  IMAGE GRAPHIQUE HOME
      define('__IMG_GRAPH_W_WIDTH__',                     630); ## HEIGHT IMAGE GRAPHIQUE HOME

 /**
  * JS POPUP FOR SIMULATE CONFIG (POPUP GRAPHIQUE AND POPUP LISTING)
  */
      define('__CHART_DIAMETER__',                        150); ## DIAMETER OF INTERNAL (GRAPHIQUE - SIMULATE FILE)
      define('__CHART_FONT__',                              2); ## SIZE OF FONT OF INTERNAL (GRAPHIQUE - SIMULATE FILE)

 /**
  * JS POPUP FOR CALCULATRICE
  */
      define('__CALCUL_WIDTH__',                          160); ## WIDTH OF POPUP CALCULATE
      define('__CALCUL_HEIGHT__',                         235); ## HEIGHT OF POPUP CALCULATE

 /**
  * DEFINES THE LENGHT FOR TRANSLATE
  */
      define('__LENGTH_ACCOUNT__',                         30); ## LENGTH FOR ACCOUNT AND MENU SELECT THIRD AND PART
      define('__LENGTH_PART_THIRD__',                      25); ## LENGTH FOR PART AND THIRD
      define('__LENGTH_COMMENT__',                         22); ## LENGTH FOR COMMENT
      define('__LENGTH_NUMERO__',                          18); ## LENGTH FOR NUMEROID
      define('__LENGTH_JUST_PART__',                       14); ## LENGTH FOR JUST PART
      define('__LENGTH_JUST_THIRD__',                      12); ## LENGTH FOR JUST THIRD
      define('__LENGTH_FOR_TIME__',                         3); ## LENGTH FOR MONTH OR DAYS

  # ----------------------------- POLICE OF CARACTERE FOR GRAPHIQUE HOME --------------------------

      define('__FONT_GRAPH__',                    'UNVRS.TTF'); ## FONT TTF
      define('__SIZE_GRAPH__',                             10); ## SIZE FOR THE FONT

  # --------------------------------------------- COLOR -------------------------------------------
 /**
  * THE COLOR FOR THE GENERAL DESIGN
  */
      define('__COLOR_DESIGN_0__',                  '#4444cc'); ## BLEU TRES FONCE (BOURSE - COMPLET)
      define('__COLOR_DESIGN_1__',                  '#bacad9'); ## BLEU FONCE WHERE LOGO AND LEFT MENU AND SETPOINTER FOR THE DOC(second plan)
      define('__COLOR_DESIGN_2__',                  '#dfdfdf'); ## GRIS COLOR WHERE LANG SELECT
      define('__COLOR_DESIGN_3__',                  '#d5d8e2'); ## BLEU CLAIR WHERE LEFT MENU AND SETPOINTER FOR THE DOC (first plan)
      define('__COLOR_DESIGN_4__',                  '#f3f3ea'); ## COLOR WHERE INVISIBLE IMAGE TOP
      define('__COLOR_DESIGN_5__',                  '#acabab'); ## COLOR WHERE INVISIBLE IMAGE BELOW

 /**
  * THE COLOR FOR THE TABLE
  */
      define('__COLOR_DESIGN_6__',                  '#ffffe7'); ## BLANC CASSE COLOR WHERE LISTING GOOD BOOK
      define('__COLOR_DESIGN_7__',                  '#edebed'); ## VIOLET CLAIR
      define('__COLOR_DESIGN_8__',                  '#d5d8e2'); ## BLEU CLAIR
      define('__COLOR_DESIGN_9__',                  '#000000'); ## NOIR

 /**
  * THE COLOR FOR DISPLAY ONE COLOR AND ANOTHER COLOR
  */
      define('__COLOR_DISPLAY_1__',                 '#ffffe7'); ## BLANC CASSE COLOR WHERE LISTING GOOD BOOK
      define('__COLOR_DISPLAY_2__',                 '#f2eedb'); ## ORANGE CLAIR COLOR WHERE LISTING GOOD BOOK

 /**
  * WHEN THE OPERATION IS SELECTED
  */
      define('__COLOR_SETPOINTER_1__',              '#ffffff'); ## BLANC

 /**
  * THE COLOR FOR THE SETPOINTER FUNCTION
  */
      define('__COLOR_SETPOINTER_2__',              '#dfdfdf'); ## GRIS COLOR (SURVOLLE)
      define('__COLOR_SETPOINTER_3__',              '#bacad9'); ## BLEU FONCE (CLICK)

 /**
  * THE COLOR FOR THE PHPDOC DISPLAY
  */
      define('__COLOR_PHPDOC_1__',                  '#aaaaff'); ## 3 DIFFERENTS BLEU POUR PHPDOC
      define('__COLOR_PHPDOC_2__',                  '#bbbbff'); ## 3 DIFFERENTS BLEU POUR PHPDOC
      define('__COLOR_PHPDOC_3__',                  '#ddddff'); ## 3 DIFFERENTS BLEU POUR PHPDOC
      define('__COLOR_PHPDOC_4__',                  '#ddffdd'); ## VERT POUR PHPDOC
      define('__COLOR_PHPDOC_5__',                  '#ffbbbb'); ## ORANGE POUR PHPDOC
      define('__COLOR_PHPDOC_6__',                  '#eeeeff'); ## BLEU CLAIR POUR PHPDOC
      define('__COLOR_PHPDOC_7__',                  '#ff0000'); ## ROUGE POUR PHPDOC

 /**
  * THE COLOR FOR THE PICTURE GRAPHIQUE HOME
  */
      define('__COLOR_GRAPHIQUE__',                    'navy'); ## NAVY
      define('__COLOR_GRAPHIQUE_1__',                'grayF0'); ## GRAY LIGHT
      define('__COLOR_GRAPHIQUE_2__',                 'white'); ## WHITE
      define('__COLOR_GRAPHIQUE_3__',                   'red'); ## RED

 # ------------------------------------- PRIVATE VARIABLE  ----------------------------------------

      define('__VERSION_PHP__',                       '4.0.0'); ## VERSION MINIMAL PHP REQUIRE
      define('__MAX_USERS__',                              10); ## MAX CREATE USERS ACCOUNT
      define('__PART_ID__',                                 1); ## DEFAULT ID (TRANSFERT)
      define('__OPEN_PART__',                               2); ## DEFAULT ID (OPEN PART)
      define('__ANOTHER_ACCOUNT__',                     'ABC'); ## DEFAULT NAME FOR ACCOUNT

 # ------------------------------ DEFINE VARIABLE FOR NOTICE ERROR --------------------------------

      $_MPM['LocalRate']                             = array(); ## used by Rate xml and lang.inc
      $_MPM['LocalRate'][0]                          = array(); ## used by Rate xml
      $_MPM['LocalRate'][1]                          = array(); ## used by Rate xml
      $_MPM['LocalRate'][2]                          = array(); ## used by Rate xml and lang.inc
      $_MPM['LocalRate']['iso']                      = array(); ## used by Rate xml
      $_MPM['LocalRate']['id']                       = array(); ## used by Rate xml
      $_MPM['LocalRate']['taux']                     = array(); ## used by Rate xml
      $_MPM['BeginMixed']                            = array(); ## used by function xhtml (normal)
      $_MPM['BoucleMixed']                           = array(); ## used by function xhtml (while for or end)
      $_MPM['Serial']                                = array(); ## used by all function
      $_MPM['message']                                     = 0; ## used by login file for message error
      $_MPM['proc_start']                                  = 0; ## used by processed the start
      $_MPM['proc_nb']                                     = 0; ## used by processed the number of request
      $_MPM['proc_sql']                                    = 0; ## used by processed sql timer
      $_MPM['NbBug']                                       = 0; ## used for submit the bug
      $_MPM['chmod']                                      = ''; ## used for message chmod ou group apache error
      $_MPM['other']                                      = ''; ## used for dynamique.php
      $_MPM['other_open']                                 = ''; ## used for dynamique.php
      $_MPM['URI_MPM']                                    = ''; ## used for the uri
      $_MPM['DATE_DAYS']                                  = ''; ## used for the date
